/* global overlay */

(function (offcanvas) {
  var breakpoint;
  var isHidden;
  var menuButton = document.querySelector('.menu');
  var offcanvasMenu = document.querySelector('.offcanvas');

  function initMenu() {
    var width = window.innerWidth;
    if(breakpoint <= width) {
      menuButton.setAttribute('aria-expanded', 'true');
      offcanvasMenu.setAttribute('aria-hidden', 'false');
      menuButton.removeEventListener('click', offcanvas.toggle)
    } else {
      menuButton.setAttribute('aria-expanded', 'false');
      offcanvasMenu.setAttribute('aria-hidden', 'true');
      menuButton.addEventListener('click', offcanvas.toggle)
    }
    isHidden = offcanvasMenu.getAttribute('aria-hidden');
  }

  function showMenu() {
    menuButton.classList.add('is-active');
    menuButton.setAttribute('aria-expanded', 'true');
    offcanvasMenu.classList.add('is-visible');
    offcanvasMenu.setAttribute('aria-hidden', 'false');
    overlay.show();
    isHidden = 'false';
  }

  function hideMenu() {
    menuButton.classList.remove('is-active');
    menuButton.setAttribute('aria-expanded', 'false');
    offcanvasMenu.classList.remove('is-visible');
    offcanvasMenu.setAttribute('aria-hidden', 'true');
    overlay.hide();
    isHidden = 'true';
  }

  offcanvas.show = function () {
    showMenu();
  };

  offcanvas.hide = function () {
    hideMenu();
  };

  offcanvas.toggle = function () {
    if (isHidden === 'true') {
      showMenu();
    } else {
      hideMenu();
    }
  };


  // EVENT HANDLERS  
  document.addEventListener('DOMContentLoaded', initMenu);
  window.addEventListener('resize', initMenu);

})(window.offcanvas = window.offcanvas || {});

